[Distutils] [Catalog-sig] pre-PEP : Synthesis of previous threads, and irc talks + proposals

Tarek Ziadé ziade.tarek at gmail.com
Wed Oct 1 15:21:35 CEST 2008


On Wed, Oct 1, 2008 at 3:08 PM, Fred Drake <fdrake at gmail.com> wrote:
> On Wed, Oct 1, 2008 at 8:10 AM, Tarek Ziadé <ziade.tarek at gmail.com> wrote:
>> 8/ the requires-python field is rarely used by people, so unless you
>> try the package, you don't know when it is a source
>>    distribution, if it is going to run on various python versions.
>
> What requires-python field?
>
> I don't see this documented for distutils or setuptools.

The one described here http://www.python.org/dev/peps/pep-0345/ in Metadata 1.2

'Requires-Python'

So it can't be used by people at this time, that was a mistake.

the new version of [8] could be:

8/ you don't know when it is a source distribution, if it is going to
run on various python versions.
    PEP 345 defines it, but it is not yet implemented in distutils,
either in setuptools.

and in the proposal parts:

0/ ... + implement the metadata 1.2 from PEP 345, (besides the
"requires"  metadata)

>
>
>  -Fred
>
> --
> Fred L. Drake, Jr.    <fdrake at gmail.com>
> "Chaos is the score upon which reality is written." --Henry Miller
>



-- 
Tarek Ziadé | Association AfPy | www.afpy.org
Blog FR | http://programmation-python.org
Blog EN | http://tarekziade.wordpress.com/


More information about the Distutils-SIG mailing list